<?php

/**
 * Template part for displaying post btn
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package logistec
 */

$logistec_blog_btn = get_theme_mod( 'logistec_blog_btn', 'Read More' );
$logistec_blog_btn_switch = get_theme_mod( 'logistec_blog_btn_switch', true );

?>

<?php if ( !empty( $logistec_blog_btn_switch ) ): ?>
<div class="postbox__read-more">
    <a href="<?php the_permalink();?>" class="lg-blog-btn"><?php print esc_html( $logistec_blog_btn );?></a>
</div>
<?php endif;?>