<?php

/**
 * logistec_scripts description
 * @return [type] [description]
 */
function logistec_scripts() {

    /**
     * all css files
    */

    wp_enqueue_style( 'logistec-fonts', logistec_fonts_url(), array(), '1.0.0');
    wp_enqueue_style( 'bootstrap', LOGISTEC_THEME_ASSETS.'css/bootstrap.min.css', array() );
    wp_enqueue_style( 'animate', LOGISTEC_THEME_ASSETS . 'css/animate.min.css', [] );
    wp_enqueue_style( 'fontawesome', LOGISTEC_THEME_ASSETS . 'css/fontawesome.min.css', [] );
    wp_enqueue_style( 'icofont', LOGISTEC_THEME_ASSETS . 'css/icofont.min.css', [] );
    wp_enqueue_style( 'keyframe-animation', LOGISTEC_THEME_ASSETS . 'css/keyframe-animation.css', [] );
    wp_enqueue_style( 'nice-select', LOGISTEC_THEME_ASSETS . 'css/nice-select.css', [] );
    wp_enqueue_style( 'odometer', LOGISTEC_THEME_ASSETS . 'css/odometer.min.css', [] );
    wp_enqueue_style( 'swiper', LOGISTEC_THEME_ASSETS . 'css/swiper.min.css', [] );
    wp_enqueue_style( 'magnific-popup', LOGISTEC_THEME_ASSETS . 'css/magnific-popup.css', [] );
    wp_enqueue_style( 'venobox', LOGISTEC_THEME_ASSETS . 'css/venobox.min.css', [] );
    wp_enqueue_style( 'logistec-custom', LOGISTEC_THEME_ASSETS . 'css/logistec-custom.css', [] );
    wp_enqueue_style( 'logistec-unit', LOGISTEC_THEME_ASSETS . 'css/logistec-unit.css', [], time() );
    wp_enqueue_style( 'logistec-main', LOGISTEC_THEME_ASSETS . 'css/main.css', [], time() );
    wp_enqueue_style( 'logistec-updater', LOGISTEC_THEME_ASSETS . 'css/logistec-updater.css', [], time() );
    wp_enqueue_style( 'logistec-style', get_stylesheet_uri() );

    // all js
    wp_enqueue_script( 'bootstrap-bundle', LOGISTEC_THEME_ASSETS . 'js/bootstrap-bundle.js', [ 'jquery' ], '', true );
    wp_enqueue_script( 'isotope', LOGISTEC_THEME_ASSETS . 'js/jquery.isotope.js', [ 'imagesloaded' ], '5.4.5', true );
    wp_enqueue_script( 'meanmenu', LOGISTEC_THEME_ASSETS . 'js/meanmenu.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'nice-select', LOGISTEC_THEME_ASSETS . 'js/nice-select.min.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'odometer', LOGISTEC_THEME_ASSETS . 'js/odometer.min.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'swiper', LOGISTEC_THEME_ASSETS . 'js/swiper.min.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'magnific-popup', LOGISTEC_THEME_ASSETS . 'js/magnific-popup.min.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'venobox', LOGISTEC_THEME_ASSETS . 'js/venobox.min.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'waypoints', LOGISTEC_THEME_ASSETS . 'js/waypoints.min.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'wow', LOGISTEC_THEME_ASSETS . 'js/wow.min.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'logistec-slider', LOGISTEC_THEME_ASSETS . 'js/slider.js', [ 'jquery' ], time(), true );
    wp_enqueue_script( 'logistec-main', LOGISTEC_THEME_ASSETS . 'js/main.js', [ 'jquery' ], time(), true );

    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
        wp_enqueue_script( 'comment-reply' );
    }
}
add_action( 'wp_enqueue_scripts', 'logistec_scripts' );


/*
Register Fonts
 */

 function logistec_fonts_url()
 {
     $font_url = '';

     /*
     Translators: If there are characters in your language that are not supported
     by chosen font(s), translate this to 'off'. Do not translate into your own language.
      */
     if ('off' !== _x('on', 'Google font: on or off', 'logistec')) {
         $font_url = 'https://fonts.googleapis.com/css2?' . urlencode('family=DM+Sans:wght@300;400;500;600;700;800;900&family=Poppins:wght@300;400;500;600;700;800;900&display=swap');
     }
     return $font_url;
 }